Bug 1243827 - kube-apiserver fails to start
Summary: kube-apiserver fails to start
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kubernetes
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-16 12:27 UTC by Marius Vollmer
Modified: 2015-08-15 02:16 UTC (History)
7 users (show)

Fixed In Version: kubernetes-1.1.0-0.1.git6129d3d.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-31 07:53:53 UTC
Type: Bug


Attachments (Terms of Use)

Description Marius Vollmer 2015-07-16 12:27:35 UTC
systemctl start kube-apiserver fails with tons of errors like this:

   Failed to list *api.LimitRange: Get http://127.0.0.1:8080/api/v1/limitranges: dial tcp 127.0.0.1:8080: connection refused

I believe this used to work.

Details

Virtual machine created like so:

$ virt-builder fedora-22 --output f22.qcow2 --format qcow2 --size 8G --arch x86_64

Kubernetes installed like so:

# dnf install etcd kubernetes
Last metadata expiration check performed 0:02:12 ago on Thu Jul 16 08:10:49 2015.
Dependencies resolved.
================================================================================================================================================================================================
 Package                                                   Arch                               Version                                                 Repository                           Size
================================================================================================================================================================================================
Installing:
 audit-libs-python                                         x86_64                             2.4.2-1.fc22                                            fedora                               95 k
 checkpolicy                                               x86_64                             2.3-4.fc22                                              fedora                              260 k
 device-mapper-event                                       x86_64                             1.02.93-3.fc22                                          fedora                              184 k
 device-mapper-event-libs                                  x86_64                             1.02.93-3.fc22                                          fedora                              187 k
 device-mapper-persistent-data                             x86_64                             0.4.1-3.fc22                                            fedora                              380 k
 docker                                                    x86_64                             1.7.0-6.git74e7a7a.fc22                                 updates                             4.6 M
 docker-selinux                                            x86_64                             1.7.0-6.git74e7a7a.fc22                                 updates                              50 k
 etcd                                                      x86_64                             2.0.13-2.fc22                                           updates                             4.2 M
 kubernetes                                                x86_64                             0.20.0-0.3.git835eded.fc22                              updates                              27 k
 kubernetes-master                                         x86_64                             0.20.0-0.3.git835eded.fc22                              updates                              16 M
 kubernetes-node                                           x86_64                             0.20.0-0.3.git835eded.fc22                              updates                              11 M
 libaio                                                    x86_64                             0.3.110-4.fc22                                          fedora                               28 k
 libcgroup                                                 x86_64                             0.41-6.fc22                                             fedora                               66 k
 libsemanage-python                                        x86_64                             2.3-6.fc22                                              fedora                              100 k
 lvm2                                                      x86_64                             2.02.116-3.fc22                                         fedora                              930 k
 lvm2-libs                                                 x86_64                             2.02.116-3.fc22                                         fedora                              816 k
 policycoreutils-python                                    x86_64                             2.3-16.fc22                                             fedora                              444 k
 python-IPy                                                noarch                             0.81-12.fc22                                            fedora                               41 k
 setools-libs                                              x86_64                             3.3.8-5.fc22                                            fedora                              442 k
 tar                                                       x86_64                             2:1.28-6.fc22                                           updates                             939 k

Transaction Summary
================================================================================================================================================================================================
Install  20 Packages

Total download size: 41 M
Installed size: 182 M
Is this ok [y/N]: y
Downloading Packages:
(1/20): kubernetes-0.20.0-0.3.git835eded.fc22.x86_64.rpm                                                                                                        686 kB/s |  27 kB     00:00    
(2/20): etcd-2.0.13-2.fc22.x86_64.rpm                                                                                                                           1.2 MB/s | 4.2 MB     00:03    
(3/20): kubernetes-node-0.20.0-0.3.git835eded.fc22.x86_64.rpm                                                                                                   2.0 MB/s |  11 MB     00:05    
(4/20): docker-1.7.0-6.git74e7a7a.fc22.x86_64.rpm                                                                                                               1.6 MB/s | 4.6 MB     00:02    
(5/20): docker-selinux-1.7.0-6.git74e7a7a.fc22.x86_64.rpm                                                                                                       721 kB/s |  50 kB     00:00    
(6/20): device-mapper-event-libs-1.02.93-3.fc22.x86_64.rpm                                                                                                      267 kB/s | 187 kB     00:00    
(7/20): lvm2-2.02.116-3.fc22.x86_64.rpm                                                                                                                         637 kB/s | 930 kB     00:01    
(8/20): device-mapper-persistent-data-0.4.1-3.fc22.x86_64.rpm                                                                                                   1.0 MB/s | 380 kB     00:00    
(9/20): lvm2-libs-2.02.116-3.fc22.x86_64.rpm                                                                                                                    1.5 MB/s | 816 kB     00:00    
(10/20): kubernetes-master-0.20.0-0.3.git835eded.fc22.x86_64.rpm                                                                                                1.9 MB/s |  16 MB     00:08    
(11/20): libaio-0.3.110-4.fc22.x86_64.rpm                                                                                                                       118 kB/s |  28 kB     00:00    
(12/20): policycoreutils-python-2.3-16.fc22.x86_64.rpm                                                                                                          657 kB/s | 444 kB     00:00    
(13/20): device-mapper-event-1.02.93-3.fc22.x86_64.rpm                                                                                                          903 kB/s | 184 kB     00:00    
(14/20): audit-libs-python-2.4.2-1.fc22.x86_64.rpm                                                                                                              462 kB/s |  95 kB     00:00    
(15/20): checkpolicy-2.3-4.fc22.x86_64.rpm                                                                                                                      1.4 MB/s | 260 kB     00:00    
(16/20): python-IPy-0.81-12.fc22.noarch.rpm                                                                                                                     369 kB/s |  41 kB     00:00    
(17/20): libsemanage-python-2.3-6.fc22.x86_64.rpm                                                                                                               720 kB/s | 100 kB     00:00    
(18/20): setools-libs-3.3.8-5.fc22.x86_64.rpm                                                                                                                   2.2 MB/s | 442 kB     00:00    
(19/20): libcgroup-0.41-6.fc22.x86_64.rpm                                                                                                                       237 kB/s |  66 kB     00:00    
(20/20): tar-1.28-6.fc22.x86_64.rpm                                                                                                                             3.2 MB/s | 939 kB     00:00    
------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                           3.0 MB/s |  41 MB     00:13     
warning: /var/cache/dnf/x86_64/22/updates/packages/etcd-2.0.13-2.fc22.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID 8e1431d5: NOKEY
Importing GPG key 0x8E1431D5:
 Userid     : "Fedora (22) <fedora@fedoraproject.org>"
 Fingerprint: C527 EA07 A934 9B58 9C35 E1BF 11AD C094 8E14 31D5
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-22-x86_64
Is this ok [y/N]: y
Key imported successfully
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Installing  : device-mapper-event-libs-1.02.93-3.fc22.x86_64                                                                                                                             1/20 
  Installing  : device-mapper-event-1.02.93-3.fc22.x86_64                                                                                                                                  2/20 
  Installing  : lvm2-libs-2.02.116-3.fc22.x86_64                                                                                                                                           3/20 
  Installing  : tar-2:1.28-6.fc22.x86_64                                                                                                                                                   4/20 
  Installing  : libcgroup-0.41-6.fc22.x86_64                                                                                                                                               5/20 
  Installing  : setools-libs-3.3.8-5.fc22.x86_64                                                                                                                                           6/20 
  Installing  : python-IPy-0.81-12.fc22.noarch                                                                                                                                             7/20 
  Installing  : libsemanage-python-2.3-6.fc22.x86_64                                                                                                                                       8/20 
  Installing  : checkpolicy-2.3-4.fc22.x86_64                                                                                                                                              9/20 
  Installing  : audit-libs-python-2.4.2-1.fc22.x86_64                                                                                                                                     10/20 
  Installing  : policycoreutils-python-2.3-16.fc22.x86_64                                                                                                                                 11/20 
  Installing  : docker-selinux-1.7.0-6.git74e7a7a.fc22.x86_64                                                                                                                             12/20 
  Installing  : libaio-0.3.110-4.fc22.x86_64                                                                                                                                              13/20 
  Installing  : device-mapper-persistent-data-0.4.1-3.fc22.x86_64                                                                                                                         14/20 
  Installing  : lvm2-2.02.116-3.fc22.x86_64                                                                                                                                               15/20 
  Installing  : docker-1.7.0-6.git74e7a7a.fc22.x86_64                                                                                                                                     16/20 
  Installing  : kubernetes-node-0.20.0-0.3.git835eded.fc22.x86_64                                                                                                                         17/20 
  Installing  : kubernetes-master-0.20.0-0.3.git835eded.fc22.x86_64                                                                                                                       18/20 
  Installing  : kubernetes-0.20.0-0.3.git835eded.fc22.x86_64                                                                                                                              19/20 
  Installing  : etcd-2.0.13-2.fc22.x86_64                                                                                                                                                 20/20 
  Verifying   : etcd-2.0.13-2.fc22.x86_64                                                                                                                                                  1/20 
  Verifying   : kubernetes-0.20.0-0.3.git835eded.fc22.x86_64                                                                                                                               2/20 
  Verifying   : kubernetes-node-0.20.0-0.3.git835eded.fc22.x86_64                                                                                                                          3/20 
  Verifying   : kubernetes-master-0.20.0-0.3.git835eded.fc22.x86_64                                                                                                                        4/20 
  Verifying   : docker-1.7.0-6.git74e7a7a.fc22.x86_64                                                                                                                                      5/20 
  Verifying   : lvm2-2.02.116-3.fc22.x86_64                                                                                                                                                6/20 
  Verifying   : docker-selinux-1.7.0-6.git74e7a7a.fc22.x86_64                                                                                                                              7/20 
  Verifying   : device-mapper-event-libs-1.02.93-3.fc22.x86_64                                                                                                                             8/20 
  Verifying   : device-mapper-persistent-data-0.4.1-3.fc22.x86_64                                                                                                                          9/20 
  Verifying   : lvm2-libs-2.02.116-3.fc22.x86_64                                                                                                                                          10/20 
  Verifying   : policycoreutils-python-2.3-16.fc22.x86_64                                                                                                                                 11/20 
  Verifying   : libaio-0.3.110-4.fc22.x86_64                                                                                                                                              12/20 
  Verifying   : device-mapper-event-1.02.93-3.fc22.x86_64                                                                                                                                 13/20 
  Verifying   : audit-libs-python-2.4.2-1.fc22.x86_64                                                                                                                                     14/20 
  Verifying   : checkpolicy-2.3-4.fc22.x86_64                                                                                                                                             15/20 
  Verifying   : libsemanage-python-2.3-6.fc22.x86_64                                                                                                                                      16/20 
  Verifying   : python-IPy-0.81-12.fc22.noarch                                                                                                                                            17/20 
  Verifying   : setools-libs-3.3.8-5.fc22.x86_64                                                                                                                                          18/20 
  Verifying   : libcgroup-0.41-6.fc22.x86_64                                                                                                                                              19/20 
  Verifying   : tar-2:1.28-6.fc22.x86_64                                                                                                                                                  20/20 

Installed:
  audit-libs-python.x86_64 2.4.2-1.fc22                             checkpolicy.x86_64 2.3-4.fc22                                   device-mapper-event.x86_64 1.02.93-3.fc22                 
  device-mapper-event-libs.x86_64 1.02.93-3.fc22                    device-mapper-persistent-data.x86_64 0.4.1-3.fc22               docker.x86_64 1.7.0-6.git74e7a7a.fc22                     
  docker-selinux.x86_64 1.7.0-6.git74e7a7a.fc22                     etcd.x86_64 2.0.13-2.fc22                                       kubernetes.x86_64 0.20.0-0.3.git835eded.fc22              
  kubernetes-master.x86_64 0.20.0-0.3.git835eded.fc22               kubernetes-node.x86_64 0.20.0-0.3.git835eded.fc22               libaio.x86_64 0.3.110-4.fc22                              
  libcgroup.x86_64 0.41-6.fc22                                      libsemanage-python.x86_64 2.3-6.fc22                            lvm2.x86_64 2.02.116-3.fc22                               
  lvm2-libs.x86_64 2.02.116-3.fc22                                  policycoreutils-python.x86_64 2.3-16.fc22                       python-IPy.noarch 0.81-12.fc22                            
  setools-libs.x86_64 3.3.8-5.fc22                                  tar.x86_64 2:1.28-6.fc22                                       

Complete!

kube-apiserver started like so:

# systemctl start etcd kube-apiserver
Job for kube-apiserver.service failed. See "systemctl status kube-apiserver.service" and "journalctl -xe" for details.

Excerpt from journalctl:

Starting Kubernetes API Server...
I0716 08:19:18.815832    1188 plugins.go:69] No cloud provider specified.
I0716 08:19:18.816504    1188 master.go:255] Node port range unspecified. Defaulting to 30000-32767.
I0716 08:19:18.816966    1188 master.go:277] Will report 192.168.100.206 as public IP address.
E0716 08:19:18.817204    1188 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:18.817658    1188 reflector.go:136] Failed to list *api.ServiceAccount: Get http://127.0.0.1:8080/api/v1/serviceaccounts: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:18.817735    1188 reflector.go:136] Failed to list *api.LimitRange: Get http://127.0.0.1:8080/api/v1/limitranges: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:18.817779    1188 reflector.go:136] Failed to list *api.Secret: Get http://127.0.0.1:8080/api/v1/secrets?fieldSelector=type%3Dkubernetes.io%2Fservice-account-token: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:18.817955    1188 reflector.go:136] Failed to list *api.ResourceQuota: Get http://127.0.0.1:8080/api/v1/resourcequotas: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:18.817146    1188 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
[restful] 2015/07/16 08:19:18 log.go:30: [restful/swagger] listing is available at https://192.168.100.206:6443/swaggerapi/
[restful] 2015/07/16 08:19:18 log.go:30: [restful/swagger] https://192.168.100.206:6443/swaggerui/ is mapped to folder /swagger-ui/
E0716 08:19:19.818765    1188 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:19.818880    1188 reflector.go:136] Failed to list *api.ServiceAccount: Get http://127.0.0.1:8080/api/v1/serviceaccounts: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:19.819361    1188 reflector.go:136] Failed to list *api.ResourceQuota: Get http://127.0.0.1:8080/api/v1/resourcequotas: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:19.819394    1188 reflector.go:136] Failed to list *api.Secret: Get http://127.0.0.1:8080/api/v1/secrets?fieldSelector=type%3Dkubernetes.io%2Fservice-account-token: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:19.819651    1188 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:19.819862    1188 reflector.go:136] Failed to list *api.LimitRange: Get http://127.0.0.1:8080/api/v1/limitranges: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:20.819730    1188 reflector.go:136] Failed to list *api.ServiceAccount: Get http://127.0.0.1:8080/api/v1/serviceaccounts: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:20.819741    1188 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:20.820299    1188 reflector.go:136] Failed to list *api.ResourceQuota: Get http://127.0.0.1:8080/api/v1/resourcequotas: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:20.820483    1188 reflector.go:136] Failed to list *api.Secret: Get http://127.0.0.1:8080/api/v1/secrets?fieldSelector=type%3Dkubernetes.io%2Fservice-account-token: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:20.820647    1188 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:20.820809    1188 reflector.go:136] Failed to list *api.LimitRange: Get http://127.0.0.1:8080/api/v1/limitranges: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:21.820852    1188 reflector.go:136] Failed to list *api.ServiceAccount: Get http://127.0.0.1:8080/api/v1/serviceaccounts: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:21.821106    1188 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:21.822196    1188 reflector.go:136] Failed to list *api.Secret: Get http://127.0.0.1:8080/api/v1/secrets?fieldSelector=type%3Dkubernetes.io%2Fservice-account-token: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:21.822270    1188 reflector.go:136] Failed to list *api.ResourceQuota: Get http://127.0.0.1:8080/api/v1/resourcequotas: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:21.822347    1188 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:21.822567    1188 reflector.go:136] Failed to list *api.LimitRange: Get http://127.0.0.1:8080/api/v1/limitranges: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:22.821582    1188 reflector.go:136] Failed to list *api.ServiceAccount: Get http://127.0.0.1:8080/api/v1/serviceaccounts: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:22.821584    1188 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:22.822642    1188 reflector.go:136] Failed to list *api.ResourceQuota: Get http://127.0.0.1:8080/api/v1/resourcequotas: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:22.822715    1188 reflector.go:136] Failed to list *api.Secret: Get http://127.0.0.1:8080/api/v1/secrets?fieldSelector=type%3Dkubernetes.io%2Fservice-account-token: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:22.822800    1188 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:22.823025    1188 reflector.go:136] Failed to list *api.LimitRange: Get http://127.0.0.1:8080/api/v1/limitranges: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:23.822405    1188 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:23.822416    1188 reflector.go:136] Failed to list *api.ServiceAccount: Get http://127.0.0.1:8080/api/v1/serviceaccounts: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:23.823000    1188 reflector.go:136] Failed to list *api.Secret: Get http://127.0.0.1:8080/api/v1/secrets?fieldSelector=type%3Dkubernetes.io%2Fservice-account-token: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:23.823012    1188 reflector.go:136] Failed to list *api.ResourceQuota: Get http://127.0.0.1:8080/api/v1/resourcequotas: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:23.823308    1188 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:24.017128    1188 reflector.go:136] Failed to list *api.LimitRange: Get http://127.0.0.1:8080/api/v1/limitranges: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:24.823132    1188 reflector.go:136] Failed to list *api.ServiceAccount: Get http://127.0.0.1:8080/api/v1/serviceaccounts: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:24.823146    1188 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:24.823325    1188 reflector.go:136] Failed to list *api.ResourceQuota: Get http://127.0.0.1:8080/api/v1/resourcequotas: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:24.823394    1188 reflector.go:136] Failed to list *api.Secret: Get http://127.0.0.1:8080/api/v1/secrets?fieldSelector=type%3Dkubernetes.io%2Fservice-account-token: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:25.017481    1188 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:25.217213    1188 reflector.go:136] Failed to list *api.LimitRange: Get http://127.0.0.1:8080/api/v1/limitranges: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:25.824209    1188 reflector.go:136] Failed to list *api.ServiceAccount: Get http://127.0.0.1:8080/api/v1/serviceaccounts: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:25.824274    1188 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:25.824291    1188 reflector.go:136] Failed to list *api.Secret: Get http://127.0.0.1:8080/api/v1/secrets?fieldSelector=type%3Dkubernetes.io%2Fservice-account-token: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:26.017227    1188 reflector.go:136] Failed to list *api.ResourceQuota: Get http://127.0.0.1:8080/api/v1/resourcequotas: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:26.217747    1188 reflector.go:136] Failed to list *api.LimitRange: Get http://127.0.0.1:8080/api/v1/limitranges: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:26.417837    1188 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:26.824920    1188 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:26.824920    1188 reflector.go:136] Failed to list *api.ServiceAccount: Get http://127.0.0.1:8080/api/v1/serviceaccounts: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:27.017732    1188 reflector.go:136] Failed to list *api.Secret: Get http://127.0.0.1:8080/api/v1/secrets?fieldSelector=type%3Dkubernetes.io%2Fservice-account-token: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:27.217848    1188 reflector.go:136] Failed to list *api.ResourceQuota: Get http://127.0.0.1:8080/api/v1/resourcequotas: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:27.417104    1188 reflector.go:136] Failed to list *api.LimitRange: Get http://127.0.0.1:8080/api/v1/limitranges: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:27.617103    1188 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:27.825797    1188 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:28.018050    1188 reflector.go:136] Failed to list *api.ServiceAccount: Get http://127.0.0.1:8080/api/v1/serviceaccounts: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:28.218112    1188 reflector.go:136] Failed to list *api.Secret: Get http://127.0.0.1:8080/api/v1/secrets?fieldSelector=type%3Dkubernetes.io%2Fservice-account-token: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:28.417436    1188 reflector.go:136] Failed to list *api.ResourceQuota: Get http://127.0.0.1:8080/api/v1/resourcequotas: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:28.617748    1188 reflector.go:136] Failed to list *api.LimitRange: Get http://127.0.0.1:8080/api/v1/limitranges: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:28.817315    1188 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
E0716 08:19:29.017350    1188 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
F0716 08:19:29.132623    1188 controller.go:80] Unable to perform initial IP allocation check: unable to refresh the service IP block: 501: All the given peers are not reachable (failed to propose on members [http://127.0.0.1:4001] twice [last error: Get http://127.0.0.1:4001/v2/keys/registry/ranges/serviceips?quorum=false&recursive=false&sorted=false: dial tcp 127.0.0.1:4001: connection refused]) [0]
kube-apiserver.service: main process exited, code=exited, status=255/n/a

Comment 1 Marius Vollmer 2015-07-16 12:32:01 UTC
It used to work with these versions:

# rpmquery etcd kubernetes docker
etcd-2.0.11-2.fc22.x86_64
kubernetes-0.19.0-0.7.gitb2e9fed.fc22.x86_64
docker-1.6.0-3.git9d26a07.fc22.x86_64

Comment 2 Eric Paris 2015-07-16 17:00:52 UTC
Unable to perform initial IP allocation check: unable to refresh the service IP block: 501: All the given peers are not reachable (failed to propose on members [http://127.0.0.1:4001] twice [last error: Get http://127.0.0.1:4001/v2/keys/registry/ranges/serviceips?quorum=false&recursive=false&sorted=false: dial tcp 127.0.0.1:4001: connection refused]) [0]

That's your problem, and that indicates etcd isn't actually running like it should on port 4001....

Is etcd started?  What's the config file? Is it listening on 4001?  (netstat -nap | grep LISTEN | grep etcd)

Comment 3 Marius Vollmer 2015-07-16 19:04:09 UTC
> That's your problem

I think this is a pretty clean installation from scratch.  All config files should be as they were in the rpms:

  laptop# virt-builder fedora-22 ...
  laptop# ssh root@vm
  vm# dnf install etc kubernetes
  vm# systemctl start etcd kubernetes

Would you say that the above should work?  Is there a mistake somewhere?  (Can I not start etcd and kubernetes in parallel, for example?  That would also be a bug, I'd say.)

> Is etcd started?

Yes.

# systemctl status etcd
● etcd.service - Etcd Server
   Loaded: loaded (/usr/lib/systemd/system/etcd.service; disabled; vendor preset: disabled)
   Active: active (running) since Thu 2015-07-16 14:44:37 EDT; 14min ago
 Main PID: 838 (etcd)
   CGroup: /system.slice/etcd.service
           └─838 /usr/bin/etcd

> What's the config file?

Straight from the rpm:

# cat /etc/etcd/etcd.conf 
# [member]
ETCD_NAME=default
ETCD_DATA_DIR="/var/lib/etcd/default.etcd"
#ETCD_SNAPSHOT_COUNTER="10000"
#ETCD_HEARTBEAT_INTERVAL="100"
#ETCD_ELECTION_TIMEOUT="1000"
#ETCD_LISTEN_PEER_URLS="http://localhost:2380"
ETCD_LISTEN_CLIENT_URLS="http://localhost:2379"
#ETCD_MAX_SNAPSHOTS="5"
#ETCD_MAX_WALS="5"
#ETCD_CORS=""
#
#[cluster]
#ETCD_INITIAL_ADVERTISE_PEER_URLS="http://localhost:2380"
# if you use different ETCD_NAME (e.g. test), set ETCD_INITIAL_CLUSTER value for this name, i.e. "test=http://..."
#ETCD_INITIAL_CLUSTER="default=http://localhost:2380"
#ETCD_INITIAL_CLUSTER_STATE="new"
#ETCD_INITIAL_CLUSTER_TOKEN="etcd-cluster"
ETCD_ADVERTISE_CLIENT_URLS="http://localhost:2379"
#ETCD_DISCOVERY=""
#ETCD_DISCOVERY_SRV=""
#ETCD_DISCOVERY_FALLBACK="proxy"
#ETCD_DISCOVERY_PROXY=""
#
#[proxy]
#ETCD_PROXY="off"
#
#[security]
#ETCD_CERT_FILE=""
#ETCD_KEY_FILE=""
#ETCD_CLIENT_CERT_AUTH="false"
#ETCD_TRUSTED_CA_FILE=""
#ETCD_PEER_CERT_FILE=""
#ETCD_PEER_KEY_FILE=""
#ETCD_PEER_CLIENT_CERT_AUTH="false"
#ETCD_PEER_TRUSTED_CA_FILE=""
#
#[logging]
#ETCD_DEBUG="false"
# examples for -log-package-levels etcdserver=WARNING,security=DEBUG
#ETCD_LOG_PACKAGE_LEVELS=""

> Is it listening on 4001? 

No.  (Not my fault, I like to add. :-)

# netstat -nap | grep LISTEN | grep etcd
tcp        0      0 127.0.0.1:7001          0.0.0.0:*               LISTEN      838/etcd            
tcp        0      0 127.0.0.1:2379          0.0.0.0:*               LISTEN      838/etcd            
tcp        0      0 127.0.0.1:2380          0.0.0.0:*               LISTEN      838/etcd            

I have changed /etc/kubernetes/apiserver like so:

# cat /etc/kubernetes/apiserver 
###
# kubernetes system config
#
# The following values are used to configure the kube-apiserver
#

# The address on the local server to listen to.
KUBE_API_ADDRESS="--address=127.0.0.1"

# The port on the local server to listen on.
# KUBE_API_PORT="--port=8080"

# Port minions listen on
# KUBELET_PORT="--kubelet_port=10250"

# Comma separated list of nodes in the etcd cluster
KUBE_ETCD_SERVERS="--etcd_servers=http://127.0.0.1:7001"

# Address range to use for services
KUBE_SERVICE_ADDRESSES="--service-cluster-ip-range=10.254.0.0/16"

# default admission control policies
KUBE_ADMISSION_CONTROL="--admission_control=NamespaceLifecycle,NamespaceExists,LimitRanger,SecurityContextDeny,ServiceAccount,ResourceQuota"

# Add your own!
KUBE_API_ARGS=""

But it still wont start:

# systemctl stop kube-apiserver
# systemctl start kube-apiserver
Job for kube-apiserver.service failed. See "systemctl status kube-apiserver.service" and "journalctl -xe" for details.

Jul 16 15:02:42 m10 systemd[1]: Starting Kubernetes API Server...
Jul 16 15:02:42 m10 kube-apiserver[1973]: I0716 15:02:42.917749    1973 plugins.go:69] No cloud provider specified.
Jul 16 15:02:42 m10 kube-apiserver[1973]: I0716 15:02:42.918818    1973 master.go:255] Node port range unspecified. Defaulting to 30000-32767.
Jul 16 15:02:42 m10 kube-apiserver[1973]: I0716 15:02:42.919527    1973 master.go:277] Will report 10.111.111.10 as public IP address.
Jul 16 15:02:42 m10 kube-apiserver[1973]: E0716 15:02:42.944255    1973 reflector.go:136] Failed to list *api.ResourceQuota: Get http://127.0.0.1:8080/api/v1/resourcequotas: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:42 m10 kube-apiserver[1973]: E0716 15:02:42.944753    1973 reflector.go:136] Failed to list *api.Secret: Get http://127.0.0.1:8080/api/v1/secrets?fieldSelector=type%3Dkubernetes.io%2Fservice-account-token: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:42 m10 kube-apiserver[1973]: E0716 15:02:42.945096    1973 reflector.go:136] Failed to list *api.ServiceAccount: Get http://127.0.0.1:8080/api/v1/serviceaccounts: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:42 m10 kube-apiserver[1973]: E0716 15:02:42.945432    1973 reflector.go:136] Failed to list *api.LimitRange: Get http://127.0.0.1:8080/api/v1/limitranges: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:42 m10 kube-apiserver[1973]: E0716 15:02:42.945729    1973 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:42 m10 kube-apiserver[1973]: E0716 15:02:42.946022    1973 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:42 m10 kube-apiserver[1973]: [restful] 2015/07/16 15:02:42 log.go:30: [restful/swagger] listing is available at https://10.111.111.10:6443/swaggerapi/
Jul 16 15:02:42 m10 kube-apiserver[1973]: [restful] 2015/07/16 15:02:42 log.go:30: [restful/swagger] https://10.111.111.10:6443/swaggerui/ is mapped to folder /swagger-ui/
Jul 16 15:02:43 m10 kube-apiserver[1973]: E0716 15:02:43.947116    1973 reflector.go:136] Failed to list *api.LimitRange: Get http://127.0.0.1:8080/api/v1/limitranges: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:43 m10 kube-apiserver[1973]: E0716 15:02:43.948160    1973 reflector.go:136] Failed to list *api.ServiceAccount: Get http://127.0.0.1:8080/api/v1/serviceaccounts: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:43 m10 kube-apiserver[1973]: E0716 15:02:43.948239    1973 reflector.go:136] Failed to list *api.Secret: Get http://127.0.0.1:8080/api/v1/secrets?fieldSelector=type%3Dkubernetes.io%2Fservice-account-token: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:43 m10 kube-apiserver[1973]: E0716 15:02:43.948309    1973 reflector.go:136] Failed to list *api.ResourceQuota: Get http://127.0.0.1:8080/api/v1/resourcequotas: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:43 m10 kube-apiserver[1973]: E0716 15:02:43.948927    1973 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:43 m10 kube-apiserver[1973]: E0716 15:02:43.951738    1973 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:44 m10 kube-apiserver[1973]: E0716 15:02:44.950203    1973 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:44 m10 kube-apiserver[1973]: E0716 15:02:44.950362    1973 reflector.go:136] Failed to list *api.ResourceQuota: Get http://127.0.0.1:8080/api/v1/resourcequotas: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:44 m10 kube-apiserver[1973]: E0716 15:02:44.950420    1973 reflector.go:136] Failed to list *api.Secret: Get http://127.0.0.1:8080/api/v1/secrets?fieldSelector=type%3Dkubernetes.io%2Fservice-account-token: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:44 m10 kube-apiserver[1973]: E0716 15:02:44.950463    1973 reflector.go:136] Failed to list *api.ServiceAccount: Get http://127.0.0.1:8080/api/v1/serviceaccounts: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:44 m10 kube-apiserver[1973]: E0716 15:02:44.952653    1973 reflector.go:136] Failed to list *api.LimitRange: Get http://127.0.0.1:8080/api/v1/limitranges: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:44 m10 kube-apiserver[1973]: E0716 15:02:44.953070    1973 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:45 m10 kube-apiserver[1973]: E0716 15:02:45.952716    1973 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:45 m10 kube-apiserver[1973]: E0716 15:02:45.952869    1973 reflector.go:136] Failed to list *api.ResourceQuota: Get http://127.0.0.1:8080/api/v1/resourcequotas: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:45 m10 kube-apiserver[1973]: E0716 15:02:45.952961    1973 reflector.go:136] Failed to list *api.Secret: Get http://127.0.0.1:8080/api/v1/secrets?fieldSelector=type%3Dkubernetes.io%2Fservice-account-token: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:45 m10 kube-apiserver[1973]: E0716 15:02:45.953052    1973 reflector.go:136] Failed to list *api.ServiceAccount: Get http://127.0.0.1:8080/api/v1/serviceaccounts: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:45 m10 kube-apiserver[1973]: E0716 15:02:45.957695    1973 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:45 m10 kube-apiserver[1973]: E0716 15:02:45.957950    1973 reflector.go:136] Failed to list *api.LimitRange: Get http://127.0.0.1:8080/api/v1/limitranges: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:46 m10 kube-apiserver[1973]: E0716 15:02:46.954428    1973 reflector.go:136] Failed to list *api.Secret: Get http://127.0.0.1:8080/api/v1/secrets?fieldSelector=type%3Dkubernetes.io%2Fservice-account-token: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:46 m10 kube-apiserver[1973]: E0716 15:02:46.954573    1973 reflector.go:136] Failed to list *api.ResourceQuota: Get http://127.0.0.1:8080/api/v1/resourcequotas: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:46 m10 kube-apiserver[1973]: E0716 15:02:46.954628    1973 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:46 m10 kube-apiserver[1973]: E0716 15:02:46.955242    1973 reflector.go:136] Failed to list *api.ServiceAccount: Get http://127.0.0.1:8080/api/v1/serviceaccounts: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:46 m10 kube-apiserver[1973]: E0716 15:02:46.958425    1973 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:46 m10 kube-apiserver[1973]: E0716 15:02:46.958874    1973 reflector.go:136] Failed to list *api.LimitRange: Get http://127.0.0.1:8080/api/v1/limitranges: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:47 m10 kube-apiserver[1973]: E0716 15:02:47.956603    1973 reflector.go:136] Failed to list *api.Secret: Get http://127.0.0.1:8080/api/v1/secrets?fieldSelector=type%3Dkubernetes.io%2Fservice-account-token: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:47 m10 kube-apiserver[1973]: E0716 15:02:47.956771    1973 reflector.go:136] Failed to list *api.ResourceQuota: Get http://127.0.0.1:8080/api/v1/resourcequotas: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:47 m10 kube-apiserver[1973]: E0716 15:02:47.956899    1973 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:47 m10 kube-apiserver[1973]: E0716 15:02:47.957304    1973 reflector.go:136] Failed to list *api.ServiceAccount: Get http://127.0.0.1:8080/api/v1/serviceaccounts: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:47 m10 kube-apiserver[1973]: E0716 15:02:47.959400    1973 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:48 m10 kube-apiserver[1973]: E0716 15:02:48.119700    1973 reflector.go:136] Failed to list *api.LimitRange: Get http://127.0.0.1:8080/api/v1/limitranges: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:48 m10 kube-apiserver[1973]: E0716 15:02:48.958556    1973 reflector.go:136] Failed to list *api.Secret: Get http://127.0.0.1:8080/api/v1/secrets?fieldSelector=type%3Dkubernetes.io%2Fservice-account-token: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:48 m10 kube-apiserver[1973]: E0716 15:02:48.958683    1973 reflector.go:136] Failed to list *api.ResourceQuota: Get http://127.0.0.1:8080/api/v1/resourcequotas: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:48 m10 kube-apiserver[1973]: E0716 15:02:48.959340    1973 reflector.go:136] Failed to list *api.ServiceAccount: Get http://127.0.0.1:8080/api/v1/serviceaccounts: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:48 m10 kube-apiserver[1973]: E0716 15:02:48.959425    1973 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:49 m10 kube-apiserver[1973]: E0716 15:02:49.120059    1973 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:49 m10 kube-apiserver[1973]: E0716 15:02:49.319649    1973 reflector.go:136] Failed to list *api.LimitRange: Get http://127.0.0.1:8080/api/v1/limitranges: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:49 m10 kube-apiserver[1973]: E0716 15:02:49.959225    1973 reflector.go:136] Failed to list *api.ResourceQuota: Get http://127.0.0.1:8080/api/v1/resourcequotas: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:49 m10 kube-apiserver[1973]: E0716 15:02:49.959316    1973 reflector.go:136] Failed to list *api.Secret: Get http://127.0.0.1:8080/api/v1/secrets?fieldSelector=type%3Dkubernetes.io%2Fservice-account-token: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:49 m10 kube-apiserver[1973]: E0716 15:02:49.959610    1973 reflector.go:136] Failed to list *api.ServiceAccount: Get http://127.0.0.1:8080/api/v1/serviceaccounts: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:50 m10 kube-apiserver[1973]: E0716 15:02:50.119119    1973 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:50 m10 kube-apiserver[1973]: E0716 15:02:50.319533    1973 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:50 m10 kube-apiserver[1973]: E0716 15:02:50.519949    1973 reflector.go:136] Failed to list *api.LimitRange: Get http://127.0.0.1:8080/api/v1/limitranges: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:50 m10 kube-apiserver[1973]: E0716 15:02:50.960561    1973 reflector.go:136] Failed to list *api.Secret: Get http://127.0.0.1:8080/api/v1/secrets?fieldSelector=type%3Dkubernetes.io%2Fservice-account-token: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:50 m10 kube-apiserver[1973]: E0716 15:02:50.960653    1973 reflector.go:136] Failed to list *api.ResourceQuota: Get http://127.0.0.1:8080/api/v1/resourcequotas: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:51 m10 kube-apiserver[1973]: E0716 15:02:51.119699    1973 reflector.go:136] Failed to list *api.ServiceAccount: Get http://127.0.0.1:8080/api/v1/serviceaccounts: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:51 m10 kube-apiserver[1973]: E0716 15:02:51.319603    1973 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:51 m10 kube-apiserver[1973]: E0716 15:02:51.519547    1973 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:51 m10 kube-apiserver[1973]: E0716 15:02:51.719747    1973 reflector.go:136] Failed to list *api.LimitRange: Get http://127.0.0.1:8080/api/v1/limitranges: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:51 m10 kube-apiserver[1973]: E0716 15:02:51.961011    1973 reflector.go:136] Failed to list *api.Secret: Get http://127.0.0.1:8080/api/v1/secrets?fieldSelector=type%3Dkubernetes.io%2Fservice-account-token: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:52 m10 kube-apiserver[1973]: E0716 15:02:52.119100    1973 reflector.go:136] Failed to list *api.ResourceQuota: Get http://127.0.0.1:8080/api/v1/resourcequotas: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:52 m10 kube-apiserver[1973]: E0716 15:02:52.319688    1973 reflector.go:136] Failed to list *api.ServiceAccount: Get http://127.0.0.1:8080/api/v1/serviceaccounts: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:52 m10 kube-apiserver[1973]: E0716 15:02:52.521075    1973 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:52 m10 kube-apiserver[1973]: E0716 15:02:52.720212    1973 reflector.go:136] Failed to list *api.Namespace: Get http://127.0.0.1:8080/api/v1/namespaces: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:52 m10 kube-apiserver[1973]: E0716 15:02:52.919382    1973 reflector.go:136] Failed to list *api.LimitRange: Get http://127.0.0.1:8080/api/v1/limitranges: dial tcp 127.0.0.1:8080: connection refused
Jul 16 15:02:53 m10 systemd[1]: kube-apiserver.service: main process exited, code=exited, status=255/n/a
Jul 16 15:02:53 m10 systemd[1]: Failed to start Kubernetes API Server.

Comment 4 Jan Chaloupka 2015-07-17 06:48:17 UTC
What about to change /etc/kubernetes/apiserver:
# Comma separated list of nodes in the etcd cluster
KUBE_ETCD_SERVERS="--etcd_servers=http://127.0.0.1:7001"

to

# Comma separated list of nodes in the etcd cluster
KUBE_ETCD_SERVERS="--etcd_servers=http://127.0.0.1:2380"

Or

in /etc/etcd/etcd.conf change:
ETCD_LISTEN_CLIENT_URLS="http://localhost:2379"
to
ETCD_LISTEN_CLIENT_URLS="http://localhost:4001"

and

ETCD_ADVERTISE_CLIENT_URLS="http://localhost:2379"
to
ETCD_ADVERTISE_CLIENT_URLS="http://localhost:2379,http://localhost:4001"

Comment 5 Marius Vollmer 2015-07-17 07:07:15 UTC
(In reply to Jan Chaloupka from comment #4)
> What about to change /etc/kubernetes/apiserver:

I would prefer if you could first try to reproduce this on your end, before we get into a game of debug ping pong.  (virt-builder plus clean install of kube.)

Comment 6 Jan Chaloupka 2015-07-17 07:33:05 UTC
I have reproduced it.

Setting KUBE_ETCD_SERVERS="--etcd_servers=http://127.0.0.1:2379" works.

Can you verify?

Comment 7 Marius Vollmer 2015-07-17 08:33:58 UTC
(In reply to Jan Chaloupka from comment #6)
> I have reproduced it.

Thanks!

> Setting KUBE_ETCD_SERVERS="--etcd_servers=http://127.0.0.1:2379" works.
> 
> Can you verify?

Yes, that change works.

Comment 8 Eric Paris 2015-07-17 13:28:12 UTC
agreed with s/4001/2379/ change for the apiserver

Comment 10 Fedora Update System 2015-07-20 20:44:47 UTC
kubernetes-1.0.0-0.9.git2d88675.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/kubernetes-1.0.0-0.9.git2d88675.fc22

Comment 11 Fedora Update System 2015-07-20 20:46:15 UTC
kubernetes-1.0.0-0.9.git2d88675.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/kubernetes-1.0.0-0.9.git2d88675.fc21

Comment 12 Fedora Update System 2015-07-23 08:54:16 UTC
Package kubernetes-1.0.0-0.9.git2d88675.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kubernetes-1.0.0-0.9.git2d88675.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-11915/kubernetes-1.0.0-0.9.git2d88675.fc22
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2015-07-31 07:53:53 UTC
kubernetes-1.0.0-0.9.git2d88675.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-07-31 07:54:39 UTC
kubernetes-1.0.0-0.9.git2d88675.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-08-01 11:42:35 UTC
kubernetes-1.1.0-0.1.git6129d3d.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/kubernetes-1.1.0-0.1.git6129d3d.fc23

Comment 16 Fedora Update System 2015-08-01 11:47:06 UTC
kubernetes-1.1.0-0.1.git6129d3d.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/kubernetes-1.1.0-0.1.git6129d3d.fc22

Comment 17 Fedora Update System 2015-08-01 11:47:31 UTC
kubernetes-1.1.0-0.1.git6129d3d.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/kubernetes-1.1.0-0.1.git6129d3d.fc21

Comment 18 Jan Chaloupka 2015-08-01 19:54:37 UTC
Wrong bug id, sorry about that.

Comment 19 Fedora Update System 2015-08-11 02:09:33 UTC
kubernetes-1.1.0-0.1.git6129d3d.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2015-08-11 02:09:54 UTC
kubernetes-1.1.0-0.1.git6129d3d.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2015-08-15 02:16:06 UTC
kubernetes-1.1.0-0.1.git6129d3d.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.